package com.gxzc.zen.umps.util

/**
 *
 * @author NorthLan
 * @date 2018/2/6
 * @url https://noahlan.com
 */
object PermissionUtil {


    /**
     * 权限判定
     * @param needPerm 需要的权限
     * @param userPerm 用户权限列表
     */
    fun isPermitted(needPerm: String?, userPerm: String?): Boolean {
        if (needPerm.isNullOrEmpty()) {
            return true
        }
        if (userPerm.isNullOrEmpty()) {
            return false
        }
        val needCRUD = needPerm!!.substring(needPerm.lastIndexOf(':'))
        val userCRUD = userPerm!!.substring(userPerm.lastIndexOf(':'))

        for (item in needCRUD) {
            if (item !in userCRUD) {
                return false
            }
        }
        return true
    }
}